Uploaded image for project: 'Qt for Python'
  1. Qt for Python
  2. PYSIDE-1692

PySide6 pyside-setup build failure

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Reported
    • Priority: Not Evaluated
    • Resolution: Unresolved
    • Affects Version/s: 6.2.0
    • Fix Version/s: None
    • Component/s: Build System
    • Labels:
      None
    • Platform/s:
      Windows

      Description

      Greetings!
      I encountered minor problem while building.

      I don't know how to fix it since I've provided all prerequisites mentioned in https://pypi.org/project/PySide6/

      and this https://doc.qt.io/qtforpython/gettingstarted-windows.html (though they are practically the same for the case)

      I have in path:
      .../6.2.0/msvc2019_64/bin
      .../libclang
      Ran from Developer command Prompt for VS 2019

       

      D:\a\dev\__clones\pyside-setup>python setup.py build -build-tests --ignore-git --parallel=8
      running build
      CMake Warning at CMakeLists.txt:4 (find_package):
        Could not find a configuration file for package "Qt6" that is compatible
        with requested version "".
      
        The following configuration files were considered but not accepted:
      
          D:/a/pr/Qt/6.2.0/msvc2019_64/lib/cmake/Qt6/Qt6Config.cmake, version: 6.2.0 (64bit)
      
      
      
      CMake Error at CMakeLists.txt:6 (get_target_property):
        get_target_property() called with non-existent target "Qt6::Core".
      
      
      Traceback (most recent call last):
        File "setup.py", line 78, in <module>
          setup_runner.run_setup()
        File "D:\a\dev\__clones\pyside-setup\build_scripts\setup_runner.py", line 125, in run_setup
          self.run_setuptools_setup()
        File "D:\a\dev\__clones\pyside-setup\build_scripts\setup_runner.py", line 181, in run_setuptools_setup
          setup(**kwargs)
        File "D:\a\pr\Python38\lib\site-packages\setuptools\__init__.py", line 153, in setup
          return distutils.core.setup(**attrs)
        File "D:\a\pr\Python38\lib\distutils\core.py", line 148, in setup
          dist.run_commands()
        File "D:\a\pr\Python38\lib\distutils\dist.py", line 966, in run_commands
          self.run_command(cmd)
        File "D:\a\pr\Python38\lib\distutils\dist.py", line 985, in run_command
          cmd_obj.run()
        File "D:\a\dev\__clones\pyside-setup\build_scripts\main.py", line 472, in run
          prepare_build()
        File "D:\a\dev\__clones\pyside-setup\build_scripts\main.py", line 325, in prepare_build
          install_prefix = QtInfo().prefix_dir
        File "D:\a\dev\__clones\pyside-setup\build_scripts\qtinfo.py", line 121, in prefix_dir
          return self.get_property("QT_INSTALL_PREFIX")
        File "D:\a\dev\__clones\pyside-setup\build_scripts\qtinfo.py", line 163, in get_property
          self._get_other_properties()
        File "D:\a\dev\__clones\pyside-setup\build_scripts\qtinfo.py", line 224, in _get_other_properties
          for key, value in self._get_cmake_mkspecs_variables().items():
        File "D:\a\dev\__clones\pyside-setup\build_scripts\qtinfo.py", line 265, in _get_cmake_mkspecs_variables
          raise RuntimeError(f"Could not determine cmake variables: {error}")
      RuntimeError: Could not determine cmake variables: None
      Traceback (most recent call last):
        File "setup.py", line 78, in <module>
          setup_runner.run_setup()
        File "D:\a\dev\__clones\pyside-setup\build_scripts\setup_runner.py", line 167, in run_setup
          raise RuntimeError(msg)
      RuntimeError:
      setup.py invocation failed with exit code: 1.
      
      
      setup.py invocation was: D:\a\pr\Python38\python.exe setup.py build -build-tests --ignore-git --parallel=8 --internal-build-type=shiboken6
      
      
      D:\a\dev\__clones\pyside-setup>
      
      
      D:\a\dev\__clones\pyside-setup>git status
      On branch 6.2.0
      Your branch is up to date with 'origin/6.2.0'.
      
      nothing to commit, working tree clean
      
      D:\a\dev\__clones\pyside-setup>qmake -v
      QMake version 3.1
      Using Qt version 6.2.0 in D:/a/pr/Qt/6.2.0/msvc2019_64/lib
      
      D:\a\dev\__clones\pyside-setup>openssl
      OpenSSL> q
      
      D:\a\dev\__clones\pyside-setup>cmake --version
      cmake version 3.21.1
      
      CMake suite maintained and supported by Kitware (kitware.com/cmake).
      
      D:\a\dev\__clones\pyside-setup>python --version
      Python 3.8.10
      
      D:\a\dev\__clones\pyside-setup>
      

      I tried specifying each path manually but that didn't work. I think I'm missing something more basic, that is not mentioned in guides.

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            crmaurei Cristian Maureira-Fredes
            Reporter:
            fclushio fclushio
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:

                Gerrit Reviews

                There are no open Gerrit changes